Package Details: caffe 1.0-16

Git Clone URL: https://aur.archlinux.org/caffe.git (read-only)
Package Base: caffe
Description: A deep learning framework made with expression, speed, and modularity in mind (cpu only)
Upstream URL: https://caffe.berkeleyvision.org/
Keywords: ai artificial cuda intelligence nvidia
Licenses: BSD
Conflicts: caffe-cpu
Provides: caffe-cpu
Replaces: caffe-cpu
Submitter: yiuin
Maintainer: dbermond
Last Packager: dbermond
Votes: 17
Popularity: 0.077876
First Submitted: 2015-10-17 05:31
Last Updated: 2019-11-20 23:42

Sources (3)

Latest Comments

1 2 3 4 5 Next › Last »

dbermond commented on 2019-11-20 23:43

@petronny Package updated for python 3.8.

petronny commented on 2019-11-20 06:09

I get trouble when building against python 3.8.

CXX src/caffe/internal_thread.cpp
CXX src/caffe/layer_factory.cpp
In file included from /usr/include/boost/python/detail/prefix.hpp:13,
                 from /usr/include/boost/python/args.hpp:8,
                 from /usr/include/boost/python.hpp:11,
                 from src/caffe/layer_factory.cpp:4:
/usr/include/boost/python/detail/wrap_python.hpp:57:11: fatal error: pyconfig.h: No such file or directory
   57 | # include <pyconfig.h>
      |           ^~~~~~~~~~~~
compilation terminated.
make: *** [Makefile:593: .build_release/src/caffe/layer_factory.o] Error 1
make: *** Waiting for unfinished jobs....

dbermond commented on 2019-05-18 20:18

@petronny Thank you for pointing this, and sorry for the late answer. Package updated.

petronny commented on 2019-03-04 07:31

Please add texlive-latexextra to makedepends.
Or LaTeX will raise LaTeX Error: Filenewunicodechar.sty' not found`.

Please also check the other caffe* packages.

bertptrs commented on 2018-10-18 11:42

Rebuilds of the package are broken, since halfway through it attempts to link to itself, and the installed version has priority over the recently compiled one, and if the installed version has linking errors (e.g. boost or something else was updated) you won't be able to build.

A workaround is to delete /usr/lib/libcaffe.so.1.0.0 before building this package.

dbermond commented on 2018-10-05 15:57

@hl037 Yes, just uninstall any caffe package before building.

hl037 commented on 2018-10-05 07:55

EDIT : Do not forget to remove caffe-cpu before building this package, else the libcaffe.so used could be the one previously installed, and that breaks the build

PREVIOUS MESSAGE :

Hello, I am having this error when building (certainly a makeflie / configuration problem as Boost is version .68 now)

/usr/bin/ld: warning: libprotobuf.so.16, needed by /usr/lib/libcaffe.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libboost_system.so.1.67.0, needed by /usr/lib/libcaffe.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libhdf5.so.101, needed by /usr/lib/libcaffe.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libboost_thread.so.1.67.0, needed by /usr/lib/libcaffe.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libboost_python37.so.1.67.0, needed by /usr/lib/libcaffe.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/libcaffe.so: undefined reference to `boost::system::generic_category()'
/usr/bin/ld: /usr/lib/libcaffe.so: undefined reference to `google::protobuf::internal::OnShutdownDestroyMessage(void const*)'
/usr/bin/ld: /usr/lib/libcaffe.so: undefined reference to `google::protobuf::internal::OnShutdownDestroyString(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const*)'

dbermond commented on 2018-08-22 18:26

@Ape The caffe packages have changed the naming schema. I have filled a merge request for this package.

Please use caffe for the cpu-only build or caffe-cuda for the cuda-enabled build. All are working fine.

dbermond commented on 2018-08-22 18:19

Important notice:

This package now provides the non-cuda version (as known as the 'cpu only' build).

If you want caffe with cuda support, use package caffe-cuda. This new package naming schema will better reflect the package contents. This conforms to tensorflow package naming from the official repositories.

Ape commented on 2018-08-22 12:45

Fails to build:

In file included from /usr/include/boost/python/detail/prefix.hpp:13,
                 from /usr/include/boost/python/args.hpp:8,
                 from /usr/include/boost/python.hpp:11,
                 from src/caffe/layer_factory.cpp:4:
/usr/include/boost/python/detail/wrap_python.hpp:50:11: fatal error: pyconfig.h: No such file or directory
 # include <pyconfig.h>